## groovy.util
Class MapEntry

Represents a list of Integer objects key a specified Object up to but not including a given and to.

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Object` | `key`
`Object` | `value`

Constructor Summary
`MapEntry(Object key, Object value)`

Method Summary
`boolean` | `equals(Object that)`
`boolean` | `equals(MapEntry that)`
`Object` | `getKey()`
`Object` | `getValue()`
`int` | `hash(Object object)` Helper method to handle object hashes for possibly null values
`int` | `hashCode()`
`void` | `setKey(Object key)`
`Object` | `setValue(Object value)`
`String` | `toString()`

Constructor Detail

### MapEntry

    public MapEntry(Object key, Object value)

Method Detail

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(MapEntry that)

### getKey

    public Object getKey()

### getValue

    public Object getValue()

### hash

    int hash(Object object)

  Helper method to handle object hashes for possibly null values

### hashCode

    public int hashCode()

### setKey

    public void setKey(Object key)

### setValue

    public Object setValue(Object value)

### toString

    public String toString()